#include <coral/lib/helper_uuid.h>

#include <iostream>
#include <coral/lib/assert.h>
#include <unistd.h>

int main() {
  coral::uuid_t u1;
  coral::uuid_t u2;
  u1 = coral::getUniqueID();
  u2 = coral::getUniqueID();
  for (int i = 0; i < 1000; ++i) {
    coral_assert(strcmp(u1.c_str(), u2.c_str()) != 0);
    u1 = coral::getUniqueID();
    coral_assert(strcmp(u1.c_str(), u2.c_str()) != 0);
    u2 = coral::getUniqueID();
  }
  return 0;
}
